Subject: Re: CYGWIN + windos10 + eclipse clp prolog
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Thu, 29 Jul 2021 08:45:55 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-07-29 05:59, Manu goswami via Cygwin wrote:
> On Thursday, July 29, 2021 1:08 PM, Brian Inglis wrote:
>> On 2021-07-28 02:03, Manu goswami via Cygwin wrote:
>>> I have previously build eclipse clp prolog several times in CYGWIN
>>> but suddenly it has started to show ‘SEGMENTATION FAULT’ even after
>>> fully reinstalling CYGWIN and removing (manually deleting) old
>>> Cygwin.  No error is reported at build time and .exe is successfully
>>> generated but on execution of .exe file after build shows ‘
>>> SEGMENTATION FAULT’. Kindly support in resolving most urgently.
>> 
>> If you want to see replies to your questions, subscribe to the mailing
>> list, or view the replies on one of the many web based message archives
>> of the mailing list, including that at cygwin.com.
>> 
>> Report upstream to wherever you got the sources for whatever "eclipse
>> clp prolog" is - in whatever language(s) they use - web links to
>> projects and sources are more informative than garbled buzzwords.
>> 
>> SIGSEGV is a symptom of a programming error - out of bounds access -
>> caused by following the wrong pointer to an invalid location, using a
>> NULL pointer, array or buffer index incorrect, use after free, incorrect
>> object size or indirection, just to suggest some of the most frequent
>> and common causes.
>> 
>> If you have made your own local and/or recent changes to the sources,
>> they are invariably the likely cause of the issue, so recheck any recent
>> local work very carefully.

> Eclipse clp is a version of open source prolog and had been running successfully on my computer for some months.
> 
> There has been no change in source code.
> 
> What new I did was to install msys2 and call a particular Cygwin compiled exe from msys2. The called Cygwin compiled  .exe did run from msys2 but most probably crashed Cygwin causing segmentation fault ever since. Surprisingly the called Cygwin compiled .exe runs successfully but eclipse clp prolog .exe fails.
> 
> Should I remove msys2 ? as I have reinstalled Cygwin multiple times ever since this error occurs.

That's the only recent local change, but the Msys2 DLLs are often 
outdated Cygwin derivatives, and Cygwin programs may try to call 
functions nonexistent in Msys2 DLLs.
The situation can be mitigated by setting the path to run the Cygwin 
compiled code using the Cygwin DLLs from the Cygwin bin, and changing 
the path to run the Msys2 tools using the DLLs from the Msys2 bin.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple